declare type AimeServerSettings = {
    _token?: string;
    _verbose: boolean;
    _player_id?: string;
    _player_class?: string;
    _player_parent?: string;
    _theme?: string;
    _public_folder?: string;
    _wp_user_id?: string;
    _wp_user_email?: string;
    _wp_site_url?: string;
    _wp_site_name?: string;
    _wp_site_description?: string;
    _wp_site_icon?: string;
    _wp_first_name?: string;
    _wp_last_name?: string;
    _channel_id?: string;
};

export declare function getArticleButton(containerId: string, serverSettings: AimeServerSettings): Promise<void>;

export declare function getImageButton(containerId: string, serverSettings: AimeServerSettings): Promise<void>;

export declare function paragarphButton(containerId: string, serverSettings: AimeServerSettings): Promise<void>;

export declare function rephraseButton(containerId: string, serverSettings: AimeServerSettings): Promise<void>;

export declare const start: (serverSettings: AimeServerSettings) => Promise<void>;

export { }
